<template>
	<v-container class="Settings" :class="{ 'px-0': $vuetify.breakpoint.smAndDown }">
		<v-card class="pb-2" rounded="lg">
			<v-card-text>
				<div class="SettingsRow">
					<div class="SettingsRow-label">In-Field Distance Unit</div>
					<v-radio-group v-model="distanceUnit" :row="$vuetify.breakpoint.mdAndUp">
						<v-radio value="m">
							<template slot="label">
								<div>Meters</div>
							</template>
						</v-radio>
						<v-radio value="ft">
							<template slot="label">
								<div>Feet</div>
							</template>
						</v-radio>
					</v-radio-group>
				</div>
				<div class="SettingsRow">
					<div class="SettingsRow-label">Hide Location Numbers on Collect Map</div>
					<v-switch v-model="hideLocationNumber" inset />
				</div>
			</v-card-text>
		</v-card>
	</v-container>
</template>

<script lang="ts">
import { computed, defineComponent } from '@vue/composition-api';
import { SettingsService } from '@/services/storageService';

export default defineComponent({
	setup() {
		const distanceUnit = computed<string>({
			get: () => SettingsService.getDistanceUnit(),
			set: SettingsService.setDistanceUnit,
		});
		const hideLocationNumber = computed<boolean>({
			get: () => SettingsService.getHideLocationNumber(),
			set: SettingsService.setHideLocationNumber,
		});

		return {
			distanceUnit,
			hideLocationNumber,
		};
	},
});
</script>

<style lang="scss">
.Settings {
	display: flex;
	flex-direction: column;

	.SettingsRow {
		display: flex;
		flex-direction: column;
		padding: 0 12px;

		.SettingsRow-label {
			margin-bottom: -8px;
			padding-top: 20px;
		}

		.v-input__control .v-messages {
			display: none;
		}
	}
}

@media (min-width: 768px) {
	.Settings .SettingsRow {
		flex-direction: row;
		gap: 16px;
	}
}
</style>
